### A free/open-source library for quantitative finance

Public Member Functions
LmExtLinearExponentialVolModel Class Reference

extended linear exponential volatility model More...

`#include <ql/legacy/libormarketmodels/lmextlinexpvolmodel.hpp>`

Inheritance diagram for LmExtLinearExponentialVolModel:
[legend]

List of all members.

## Public Member Functions

| LmExtLinearExponentialVolModel (const std::vector< Time > &fixingTimes, Real a, Real b, Real c, Real d)
Disposable< Array > | volatility (Time t, const Array &x=Null< Array >()) const
Volatility | volatility (Size i, Time t, const Array &x=Null< Array >()) const
Real | integratedVariance (Size i, Size j, Time u, const Array &x=Null< Array >()) const

## Detailed Description

extended linear exponential volatility model

This class describes an extended linear-exponential volatility model

References:

Damiano Brigo, Fabio Mercurio, Massimo Morini, 2003, Different Covariance Parameterizations of Libor Market Model and Joint Caps/Swaptions Calibration, (<http://www.business.uts.edu.au/qfrc/conferences/qmf2001/Brigo_D.pdf>)